avalon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Ziegeler" <cziege...@s-und-n.de>
Subject RE: build a dist - which jdk?
Date Thu, 15 Jul 2004 14:23:50 GMT
Stephen McConnell wrote:
> 
> Here we have a problem - Magic uses 1.4 classes. I think this 
> is tied to the site transformation stuff.  In theory that 
> could broken out of the core (which would be a pain but not 
> impossible).
> 
> Another approach would be to do an audit on the Avalon 
> codebase for the usage of StringBuffer. Am I correct in 
> assuming that this is specific to the StringBuffer.append( 
> StringBuffer )?
> 
This is specific to that method, but I absolutely don't know
if this is the only place where this problem could occur.
In theory, each class where Sun added a specialized method
could cause the same problem, so it's much safer to compile
with JDK 1.3 imho.

Carsten


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@avalon.apache.org
For additional commands, e-mail: dev-help@avalon.apache.org


Mime
View raw message